<div class="w-full h-full bg-pattern" fxLayout="column" fxLayoutAlign="center center">
  <div @fadeInUp class="card overflow-hidden w-full max-w-xs">
    <div class="p-6 pb-0" fxLayout="column" fxLayoutAlign="center center">
      <div class="fill-current text-center">
        <img class="w-16" src="assets/img/demo/creci.png" alt="Logo">
      </div>
    </div>

    <div class="text-center mt-4">
      <h2 class="title m-0">Gestión de proyectos</h2>
      <h4 class="body-2 text-secondary m-0">Inicie sesion con su cuenta.</h4>
    </div>

    <div [formGroup]="form" class="p-6" fxLayout="column" fxLayoutGap="16px">
      <div fxFlex="auto" fxLayout="column">
        <mat-form-field fxFlex="grow">
          <mat-label>E-Mail</mat-label>
          <input formControlName="email" matInput required>
          <mat-error *ngIf="form.get('email').hasError('required')">Necesitamos una dirección de correo electrónico para iniciar sesión</mat-error>
        </mat-form-field>
        <mat-form-field fxFlex="grow">
          <mat-label>Contraseña</mat-label>
          <input [type]="inputType" formControlName="password" matInput required>
          <button (click)="toggleVisibility()" mat-icon-button matSuffix matTooltip="Toggle Visibility" type="button">
            <mat-icon *ngIf="visible" [icIcon]="icVisibility"></mat-icon>
            <mat-icon *ngIf="!visible" [icIcon]="icVisibilityOff"></mat-icon>
          </button>
          <mat-hint>Haga clic en el ojo para alternar la visibilidad.</mat-hint>
          <mat-error *ngIf="form.get('password').hasError('required')">
            Necesitamos una contraseña para iniciar sesión</mat-error>
        </mat-form-field>
      </div>

      <div fxLayout="row" fxLayoutAlign="space-between center">
        <mat-checkbox class="caption" color="primary">Recordarme</mat-checkbox>
      </div>

      <button (click)="send()" color="primary" mat-raised-button type="button">
        INICIAR SESION
      </button>
    </div>
  </div>
</div>
